Manage python packages in Sublime text 3

Working with Ubuntu 14.04 How to tell Sublime text 3 and SublimeREPL where to look for the python packages? From my terminal, pip list returns a list with many python packages like that: numexpr...

Access Host redis database from docker conatiner

I am trying to connect to host redis database through my docker conatiner. In my dockerfile , I have redis as a requirement, which gets installed [pip install redis] and image is build using that...

OAuth2 InvalidScopeError in Backend Application flow

I am trying to implement the Backend Application flow to get an access token from the Datahug API (Following instructions in https://api.datahug.com/#gettingstarted). from oauthlib.oauth2 import...

How to read SharePoint Online (Office365) Excel files in Python with Work or School Account?

I am a university student and I have registered as an Office 365 Education user via my university Email address. I usually log into https://www.office.com with my Email account: [email protected] The...

ImportError: No module named 'config.settings'; 'config' is not a package

I'm trying to get my cookiecutter-django app running under Apache with mod_wsgi installed via pip. python3 manager.py runserver works. But after running it in Apache, I got an error saying Module...

Failed building wheel for xmlsec - mac

I'm installing my mac on python virtualenv environment. Whenever I install requirement packages command "pip install -r requirements.txt" i got this messages. pip install -r requirements.txt...

ModuleNotFoundError: No module named 'google_auth_oauthlib'

I am trying to run the 'generate_refresh_token.py' file in the authentification folder of the AdWords API. But when I do python generate_refresh_token.py as described in the documentation, I get...

How to fix ModuleNotFoundError in azureml-sdk when installed inside conda environment

I'm setting up a conda environment on Windows 10 Pro x64 using Miniconda 4.5.12 and have done a pip install of azureml-sdk inside the environment but get a ModuleNotFoundError when attempting to...

How to get messages from googles Pub/Sub sytsem by using the current pubsub subsciber

I need to receive published messages from googles Pub/Sub system by using a python based subscriber. For this I did the following steps: On the web console I created a project, a registry, a...

Cuda Runtime Error cudaErrorNoDevice: no CUDA-capable device is detected

I am using Chainer, Cupy for CUDA 8.0 . I am trying to train machine learning model using python3.5 script, but I got this error: cupy.cuda.runtime.CUDARuntimeError: cudaErrorNoDevice: no...

Ansible failed to complete because of deprecated Python even though Python 3 is installed

I'm trying to run LaunchKit from google to get some app screenshots. I've gone through all of the steps on the GitHub page (https://github.com/LaunchKit/LaunchKit) for the open source code. After...

django.db.utils.InterfaceError: (0, '') when using django model

I have django.db.utils.InterfaceError: (0, '') error on django. I googled around and found this error is related with django mysql connection. What I have done is just like this , from...

Deploy python app to Heroku "Slug Size too large"

I'm trying to deploy a Streamlit app written in python to Heroku. My whole directory is 4.73 MB, where 4.68 MB is my ML model. My requirements.txt looks like...

Error in pushing dataframe to db2 Database using SQLAlchemy

I have a dataframe that is of shape 3200 x 8. I am trying to push it to IBM's DB2 Database using sqlalchemy. One of the columns have text in it which is of variable length, think of it as English...

AttributeError: module 'tensorflow' has no attribute 'compat' when loading tf.compat.v1.train.SessionRunHook

I can see that this question has been asked before here tensorflow-has-no-attribute-compat but the answer given was to Microsoft Visual C++ 2015-2019 Redistributable (x64) It did not work for the...

module 'tensorflow' has no attribute 'Session' cannot resolve

Please please please help me out here! I cannot resolve it! so... my python version is Python 3.5.6 and Anaconda version is Conda 4.8.3. I am working with Jupyter Notebook. I am working in...

aws glue `ImportError: cannot import name 'S3ArnParamHandler'`

I developed a pandas etl script locally and works fine. I prepared a wheel file and uploaded to s3. All packages are installed properly. However, when the script run, it shows ImportError: cannot...

Graph ops missing from the python registry

I am trying to run the example code from bertseq2seq/roberta24_bbc: import tensorflow.compat.v1 as tf import tensorflow_hub as hub import sentencepiece text_generator = hub.Module( ...

How to activate virtual envirooment for existing django project using pipenv in python 3.8

I developed a Django webapp project using Django 2.2.1 in python 3.7.2 in a pipenv version 2018.11.26 virtual environment in MacBook Air. After an unintentional update to python 3.8 using brew...

Trouble installing turbodbc

I am attempting to install turbodbc on my Ubuntu 20.10 machine. My specs are as follows: pip 20.2.4, Python 3.8.5 , gcc (Ubuntu 10.2.0-13ubuntu1) 10.2.0 I have attempted the solutions provided in...

Pipenv fails locking when installing TensorFlow 2.4.1

2021-02-06: I ended up with installing TensorFlow using pip. The original question is shown below. As I mentioned in the title, pipenv fails to lock when installing TensorFlow (ver. 2.4.1). I...

Error while Installing Packages from requirements.txt in python 3.9

when i run pip install -r requirements.txt i get ERROR: Could not find a version that satisfies the requirement cffi==1.14.0 (from versions: 0.1, 0.2, 0.2.1, 0.3, 0.4, 0.4.1, 0.4.2, 0.5, 0.6,...

Building wheel for cffi (setup.py) ... error while installing the packages from requirements.txt in django

I am trying to install a new Django project from git, I created a new virtual envt using python3(version: 3.8.5). When I try to install the required libraries in the requirements.txt, I get the...

Error importing pyarrow in jupyter notebook after pip installation of pyarrow

I am having an issue importing pyarrow into my jupyter notebook. To give some context, I created a virtual environment named rc_env. I've uninstalled and reinstalled pyarrow quite a few times but...

ImportError: Could not find the DLL(s) 'msvcp140.dll or msvcp140_1.dll'. Even when the files are located in the %PATH% directory

I receive the following error when importing tensorflow (base) PS C:\Users\Rostyslav\GIt\GNN-GCP> python run_model.py --train --save Traceback (most recent call last): File "run_model.py", line...

Tensorflow Object Detection Api M1 Macbook Conflict Error

Machine: MacBook Air M1 2020 OS: macOs BigSur 11.4 Python version of venv: Python 3.8.6 Tensorflow version: ATF Apple Tensorflow 0.1a3 Pip version: 21.2.4 I have installed Tensorflow from...

installing NVIDIA Apex for Python 3.8.5 and compatible with PyTorch 1.9

I am running a code that apparently requires NVIDIA apex (I initially didn't know and installed the wrong apex). I am unsure how to fix the final error: (proxy) [[email protected] proxynca_pp]$...

Django mod_wsgi Apache Server, ModuleNotFoundError: No Module Named Django

I read ton of articles, but still can't figure out what I'm missing. I'm running a django website from virtualenv. Here's my config file. The website address is replaced by <domain.com>, can't use...

Python: matplotlib.pyplot.show() is not showing the plot

import matplotlib.pyplot as plt plt.plot([1,2,3]) plt.show() input("Press enter to continue...") If I run the script above within VS Code, or even within command prompt, the plot canvas only...

Getting DLL error when running tensorflow/keras program on python gpu 3.8

I am trying to run my simple AI program but I keep getting this DLL error: ImportError: Could not find the DLL(s) 'msvcp140_1.dll'. TensorFlow requires that these DLLs be installed in a...